package com.wisedu.mooc.app.study.service;

import java.util.List;

import com.wisedu.mooc.app.study.bo.UserStudy;


public interface UserStudyService {
	
	List<UserStudy> queryUserStudyRecord(Long userId);
	
	List<UserStudy> queryUserStudy(Long unitId, Integer isOver, Long userId);
	
	UserStudy queryUserStudy(Long itemId, Long userId);
	
	void updateDurationVideo(Long itemId, Long currentPosition, Integer isOver, Long duration, Long userId);

}
